Debian Bug report logs - #420334
ITP: python-py++ -- An object-oriented framework for

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Y Giridhar Appaji Nag <giridhar@appaji.net>

Date: Sat, 21 Apr 2007 17:27:01 UTC

Owned by: Mathieu Malaterre <malat@debian.org>

Severity: wishlist

Fixed in version pyplusplus/1.0.0-1

Done: Mathieu Malaterre <malat@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Y Giridhar Appaji Nag <giridhar@appaji.net>, roman.yakovenko@gmail.com, <wnpp@debian.org>:
Bug#420334; Package wnpp. Full text and rfc822 format available.

Message #3 received at submit@bugs.debian.org (full text, mbox):

From: Y Giridhar Appaji Nag <giridhar@appaji.net>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: RFP: python-py++ -- An object-oriented framework for creating a code generator for Boost.Python library
Date: Sat, 21 Apr 2007 22:48:20 +0530
Package: wnpp
Severity: wishlist

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

* Package name    : python-py++
  Version         : 0.8.5
  Upstream Author : Roman Yakovenko <roman.yakovenko@gmail.com>
* URL             : http://www.language-binding.net/pyplusplus/pyplusplus.html
* License         : Boost Software License
  Programming Lang: Python
  Description     : An object-oriented framework for creating a code generator for Boost.Python library

Py++ uses GCC C++ compiler to parse C++ source files and allows you to
expose C++ code to Python in quick and elegant way using the
Boost.Python library.  It uses the following steps to do so:

- - source code is passed to GCC-XML
- - GCC-XML passes it to GCC C++ compiler
- - GCC-XML generates an XML description of a C++ program from GCC's
  internal representation.
- - Py++ uses pygccxml package to read GCC-XML generated file.

Feature list:

- - Py++ support almost all features found in Boost.Python library
- - Py++ generates code, which will help you to understand compiler
  generated error messages
- - Py++ has more than one mode of writing code into files:
	- single file
	- multiple files
	- multiple files, where single class code is split to few files
- - Py++ will save your compilation time - it will rewrite a file, only in
  case of change
- - You have full control over generated code. Your code could be inserted
  almost anywhere.
- - Py++ will check the "completeness" of the bindings. It will check for
  you that the exposed declarations don't have references to unexposed
  ones.
- - Py++ provides enough functionality to extract source code
  documentation and write it as Python documentation string
- - Py++ provides simple and powerful framework to create a wrapper for
  functions, which could not be exposed as is to Python

- -- System Information:
Debian Release: 4.0
  APT prefers unstable
  APT policy: (800, 'unstable'), (700, 'experimental')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.16-2-686
Locale: LANG=C, LC_CTYPE=C (charmap=ANSI_X3.4-1968)

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFGKkdc4eu+pR04mIcRAp3aAJ9cPrF4T5yB/8yz73SUV155bQz9vACeJcaA
rNNpp46Jh00J/aTgjpDV8TE=
=jzJJ
-----END PGP SIGNATURE-----



Reply sent to David Moreno Garza <damog@merkel.debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Y Giridhar Appaji Nag <giridhar@appaji.net>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #8 received at 420334-done@bugs.debian.org (full text, mbox):

From: David Moreno Garza <damog@merkel.debian.org>
To: 420334-done@bugs.debian.org
Subject: WNPP bug closing
Date: Thu, 24 Apr 2008 11:59:54 -0600
Hello,

This is an automatic mail sent to close the RFP you have reported or 
are involved with.

Your RFP wnpp bug is being closed because of the following reasons:
- It is, as of today, older than 365 days.
- It hasn't had any activity recently.

As this is an automatic procedure, it could of course have something
wrong and probably it would be closing some bugs that are not 
intended by owners and submitters (like you) to be closed, for
example if the RFP is still of your interest, or there has been 
some kind of activity around it. In that case, please reopen the
bug, do it, DO IT NOW! (I don't want to be blamed because of
mass closing and not let people know that they can easily reopen
their bugs ;-).

To re-open it, you simply have to mail control@bugs.debian.org
with a body text like this:

 reopen 420334
 stop

Further comments on the work done in the bug sent to
420334@bugs.debian.org would be truly welcomed.
Anyway, if you have any kind of problems when dealing with
the BTS, feel free to contact me and I'd be more than happy to help
you on this: <damog@debian.org>.

A similar process is being applied to other kind of wnpp bugs.

Thanks for your cooperation,

 -- David Moreno Garza <damog@debian.org>.
 




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 23 May 2008 07:30:36 GMT) Full text and rfc822 format available.

Bug unarchived. Request was from Yaroslav Halchenko <debian@onerussian.com> to control@bugs.debian.org. (Thu, 02 Dec 2010 20:27:07 GMT) Full text and rfc822 format available.

Did not alter fixed versions and reopened. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 02 Dec 2010 20:46:23 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#420334; Package wnpp. (Fri, 04 Nov 2011 16:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mathieu Malaterre <mathieu.malaterre@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Fri, 04 Nov 2011 16:57:03 GMT) Full text and rfc822 format available.

Message #19 received at 420334@bugs.debian.org (full text, mbox):

From: Mathieu Malaterre <mathieu.malaterre@gmail.com>
To: 420334@bugs.debian.org
Date: Fri, 4 Nov 2011 12:52:03 -0400
debian package can be found at:

svn.debian.org/svn/collab-maint/deb-maint/pyplusplus/trunk

and

http://mentors.debian.net/package/pyplusplus

-- 
Mathieu




Owner recorded as Mathieu Malaterre <mathieu.malaterre@gmail.com>. Request was from Mathieu Malaterre <mathieu.malaterre@gmail.com> to control@bugs.debian.org. (Fri, 04 Nov 2011 18:06:12 GMT) Full text and rfc822 format available.

Changed Bug title to 'ITP: python-py++ -- An object-oriented framework for' from 'RFP: python-py++ -- An object-oriented framework for creating a code generator for Boost.Python library' Request was from Mathieu Malaterre <mathieu.malaterre@gmail.com> to control@bugs.debian.org. (Fri, 04 Nov 2011 18:54:03 GMT) Full text and rfc822 format available.

Owner changed from Mathieu Malaterre <mathieu.malaterre@gmail.com> to Mathieu Malaterre <malat@debian.org>. Request was from Mathieu Malaterre <malat@debian.org> to control@bugs.debian.org. (Wed, 28 Mar 2012 13:56:05 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Thu, 03 May 2012 20:09:11 GMT) Full text and rfc822 format available.

Reply sent to Mathieu Malaterre <malat@debian.org>:
You have taken responsibility. (Sun, 20 May 2012 15:51:05 GMT) Full text and rfc822 format available.

Notification sent to Y Giridhar Appaji Nag <giridhar@appaji.net>:
Bug acknowledged by developer. (Sun, 20 May 2012 15:51:05 GMT) Full text and rfc822 format available.

Message #32 received at 420334-close@bugs.debian.org (full text, mbox):

From: Mathieu Malaterre <malat@debian.org>
To: 420334-close@bugs.debian.org
Subject: Bug#420334: fixed in pyplusplus 1.0.0-1
Date: Sun, 20 May 2012 15:47:11 +0000
Source: pyplusplus
Source-Version: 1.0.0-1

We believe that the bug you reported is fixed in the latest version of
pyplusplus, which is due to be installed in the Debian FTP archive:

pyplusplus_1.0.0-1.debian.tar.gz
  to main/p/pyplusplus/pyplusplus_1.0.0-1.debian.tar.gz
pyplusplus_1.0.0-1.dsc
  to main/p/pyplusplus/pyplusplus_1.0.0-1.dsc
pyplusplus_1.0.0.orig.tar.gz
  to main/p/pyplusplus/pyplusplus_1.0.0.orig.tar.gz
python-py++_1.0.0-1_amd64.deb
  to main/p/pyplusplus/python-py++_1.0.0-1_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 420334@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Mathieu Malaterre <malat@debian.org> (supplier of updated pyplusplus package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Thu, 03 May 2012 16:51:00 +0200
Source: pyplusplus
Binary: python-py++
Architecture: source amd64
Version: 1.0.0-1
Distribution: unstable
Urgency: low
Maintainer: Mathieu Malaterre <malat@debian.org>
Changed-By: Mathieu Malaterre <malat@debian.org>
Description: 
 python-py++ - OO-framework for creating a code generator for Boost.Python
Closes: 420334
Changes: 
 pyplusplus (1.0.0-1) unstable; urgency=low
 .
   * Initial Debian Upload (Closes: #420334)
Checksums-Sha1: 
 4c74a9837aa826418483fe4aeefafd467d2b5be0 1975 pyplusplus_1.0.0-1.dsc
 9701ea815f0845b13890f733835d97d0342ca3c0 6542903 pyplusplus_1.0.0.orig.tar.gz
 e8cd6a189d645380e69d23bef806c1f99f0bfb2b 2653 pyplusplus_1.0.0-1.debian.tar.gz
 ff0759fda427f42bdbb8398d0143e561d1f82feb 3471996 python-py++_1.0.0-1_amd64.deb
Checksums-Sha256: 
 335089da48d52c2c07b0df7f5ecba8fec616438fbbf84676ec4f9711cf350f20 1975 pyplusplus_1.0.0-1.dsc
 40d1681fb953d156e0a1ff0415953638859cbf1f3c72e450385dd4a052dfdf7d 6542903 pyplusplus_1.0.0.orig.tar.gz
 ab02d7b5bc1840ac6ed6a32ed89f508e1ce916d3224e0a45c39a01a5da979fa8 2653 pyplusplus_1.0.0-1.debian.tar.gz
 adc9b9b72504d94397eb1d9dc667efacbd12291949a70de5a005aa6f9b03c0f1 3471996 python-py++_1.0.0-1_amd64.deb
Files: 
 93f1a54d5672cef5258a6e891faeb130 1975 python optional pyplusplus_1.0.0-1.dsc
 cb84692eb2e9787aa00d34ae9433fe3e 6542903 python optional pyplusplus_1.0.0.orig.tar.gz
 b0d68dad154e67de7ed874f485374979 2653 python optional pyplusplus_1.0.0-1.debian.tar.gz
 b0443ad95d608a4d4123a38e389c04fe 3471996 python optional python-py++_1.0.0-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iQIcBAEBCAAGBQJPop8bAAoJEAFx4YKK4JNFqeMP/ikzAGUZvIj2IU4uTAZNl32N
edW/ELYaQ+nZ/qXLYiO2+43i3bkh6Rxcr1k8N55lxqD3wIV6YLLot57B6+OQaUx6
DwBzzjt0FLvrKzSvemCk3cOMSNdozBI47294zQGKwYaL0tBuGaF1fCIihwxot8kf
1p2n9T0HH8dwrl/SpWwY1wWjtU/GWXLqDn3mfVTnkqSu8e54ggup+KRoOUktpU4Y
uXCHKQSHvAVTFxEyqCklwFHXa82gl6kFuY9Jinbw1q3mutk/o8z9n1OxBPtqS8fX
QqtglKd/nEPqaF5ABgBvmftL26xKLWD/b0cxbzw3sQlP4JnZCC21ogG3UTWOpMq7
eipHeoTSCg7TLwtOrlS6XcWd3wM731EBxaOglYup654eBZrfIJD4vrlYdK+O0Ls+
GofgbzOqBNuYmqrnFU56j/bMuMgJyFG1rP/GH0XAql+0jXU58niyHIfJGr2zmCE9
u4Mxj0uOIZSB3KgEJWd8TRd4a8zmrqyDSH6/sPi3tivsVfhsUEPZGJwHmsl40DgE
jFNyK2DlECws35CecLIh6OHKLHGGI/IvliHG9Qw9vL1oSHO8tWEi6KdO+vakzfHy
xg7Qw/cL5FJXm4Sr0Nr/6+vYo/MvQey4hECcKHiMZ0+Cam8zHZU6Z17gNeExsXj9
Jl/huN6JC8/AQOif0GfO
=3N1n
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 18 Jun 2012 07:38:46 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 11:22:34 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.